# Config

{% tabs %}
{% tab title="ESX" %}

````lua
```lua
AK4Y = {}
AK4Y.Framework = "newEsx" -- qb / oldqb | qb = export system | oldqb = triggerevent system
AK4Y.Mysql = "oxmysql" -- Check fxmanifest.lua when you change it! | ghmattimysql / oxmysql / mysql-async
AK4Y.OpenMenuCommand = "kit"
AK4Y.WeaponsAreItem = false -- if your weapons are item set it true


-- ITEM TYPES = "money", "item", "vehicle", "weapon"
AK4Y.DailyKit = {
    ["type"] = "daily", -- don't change! 
    ["kitName"] = "DAILY",
    ["description"] = "Lorem ipsum dolor sit amet consectetur adipisicing elit. Quae deserunt adipisci eaque ab veritatis odio iusto quo nesciunt tempore, non eveniet, suscipit consectetur nobis voluptatibus.",
    ["membership"] = "Everyone", 
    ["collectPeriod"] = 24, -- HOURS
    ["items"] = {
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "cash", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "money", image = "./images/weapon_appistol.png" },
        { itemName = "cash", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "money", image = "./images/weapon_appistol.png" },
        { itemName = "zentorno", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "vehicle", image = "./images/weapon_appistol.png" },
        { itemName = "zentorno", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "vehicle", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
    }
}

AK4Y.GoldKit = {
    ["type"] = "gold", -- don't change! 
    ["kitName"] = "GOLD",
    ["description"] = "Lorem ipsum dolor sit amet consectetur adipisicing elit. Quae deserunt adipisci eaque ab veritatis odio iusto quo nesciunt tempore, non eveniet, suscipit consectetur nobis voluptatibus.",
    ["membership"] = "GOLD", 
    ["collectPeriod"] = 10, -- HOURS
    ["tebexLink"] = "https://www.google.com/goldLink", -- tebex direct link
    ["items"] = {
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
    }
}

AK4Y.PlatinumKit = {
    ["type"] = "platinum", -- don't change! 
    ["kitName"] = "PLATINUM",
    ["description"] = "Lorem ipsum dolor sit amet consectetur adipisicing elit. Quae deserunt adipisci eaque ab veritatis odio iusto quo nesciunt tempore, non eveniet, suscipit consectetur nobis voluptatibus.",
    ["membership"] = "PLATINUM", 
    ["collectPeriod"] = 7, -- HOURS
    ["tebexLink"] = "https://www.google.com/platinumLink", -- tebex direct link
    ["items"] = {
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
    }
}

AK4Y.DiamondKit = {
    ["type"] = "diamond", -- don't change! 
    ["kitName"] = "DIAMOND",
    ["description"] = "Lorem ipsum dolor sit amet consectetur adipisicing elit. Quae deserunt adipisci eaque ab veritatis odio iusto quo nesciunt tempore, non eveniet, suscipit consectetur nobis voluptatibus.",
    ["membership"] = "DIAMOND", 
    ["collectPeriod"] = 5, -- HOURS
    ["tebexLink"] = "https://www.google.com/diamondLink", -- tebex direct link
    ["items"] = {
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
    }
}

AK4Y.Language = {
    ["title1"] = "PREMIUM",
    ["title2"] = "KIT SYSTEM",
    ["premiumTitle"] = "DO YOU WANT TO HAVE",
    ["premiumTitle2"] = "PREMIUM KITS?",
    ["premiumDescription"] = "Lorem ipsum dolor sit amet consectetur adipisicing elit. Voluptatem commodi ducimus delectus! Mollitia ad aliquam ut minima labore.",
    ["acceptButton"] = "Accept",
    ["kit"] = "KIT",
    ["reviewButton"] = "Review Kit",
    ["everyText"] = "Every",
    ["hours"] = "hours",
    ["upgrade"] = "UPGRADE",
    ["collect"] = "Collect",
    ["back"] = "Back",
    ["exit"] = "exit",
    ["collected"] = "SUCCESSFULLY COLLECTED!",
    ["upgraded"] = "YOUR ACCOUNT HAS BEEN SUCCESSFULLY UPGRADED TO",
    ["passive"] = "Passive",
}
```
````

{% endtab %}

{% tab title="QBCore" %}

````lua
```lua
AK4Y = {}
AK4Y.Framework = "qb" -- qb / oldqb | qb = export system | oldqb = triggerevent system
AK4Y.Mysql = "oxmysql" -- Check fxmanifest.lua when you change it! | ghmattimysql / oxmysql / mysql-async
AK4Y.OpenMenuCommand = "kit"


-- ITEM TYPES = "money", "item", "vehicle"
AK4Y.DailyKit = {
    ["type"] = "daily", -- don't change! 
    ["kitName"] = "DAILY",
    ["description"] = "Lorem ipsum dolor sit amet consectetur adipisicing elit. Quae deserunt adipisci eaque ab veritatis odio iusto quo nesciunt tempore, non eveniet, suscipit consectetur nobis voluptatibus.",
    ["membership"] = "Everyone", 
    ["collectPeriod"] = 24, -- HOURS
    ["items"] = {
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "cash", itemLabel = "EXAMPLE MONEY", itemCount = 1, itemType = "money", image = "./images/weapon_appistol.png" },
        { itemName = "cash", itemLabel = "EXAMPLE MONEY", itemCount = 1, itemType = "money", image = "./images/weapon_appistol.png" },
        { itemName = "zentorno", itemLabel = "EXAMPLE VEHICLE", itemCount = 1, itemType = "vehicle", image = "./images/weapon_appistol.png" },
        { itemName = "zentorno", itemLabel = "EXAMPLE VEHICLE", itemCount = 1, itemType = "vehicle", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
    }
}

AK4Y.GoldKit = {
    ["type"] = "gold", -- don't change! 
    ["kitName"] = "GOLD",
    ["description"] = "Lorem ipsum dolor sit amet consectetur adipisicing elit. Quae deserunt adipisci eaque ab veritatis odio iusto quo nesciunt tempore, non eveniet, suscipit consectetur nobis voluptatibus.",
    ["membership"] = "GOLD", 
    ["collectPeriod"] = 10, -- HOURS
    ["tebexLink"] = "https://www.google.com/goldLink", -- tebex direct link
    ["items"] = {
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
    }
}

AK4Y.PlatinumKit = {
    ["type"] = "platinum", -- don't change! 
    ["kitName"] = "PLATINUM",
    ["description"] = "Lorem ipsum dolor sit amet consectetur adipisicing elit. Quae deserunt adipisci eaque ab veritatis odio iusto quo nesciunt tempore, non eveniet, suscipit consectetur nobis voluptatibus.",
    ["membership"] = "PLATINUM", 
    ["collectPeriod"] = 7, -- HOURS
    ["tebexLink"] = "https://www.google.com/platinumLink", -- tebex direct link
    ["items"] = {
        { itemName = "weapon_appistol", itemLabel = "AP PISTOL", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_knife", itemLabel = "Knife", itemCount = 1, itemType = "item", image = "./images/weapon_knife.png" },
        { itemName = "cash", itemLabel = "$30.000", itemCount = 30000, itemType = "money", image = "./images/money-3.png" },
        { itemName = "security_card_02", itemLabel = "Security Card", itemCount = 1, itemType = "item", image = "./images/security_card_02.png" },
        { itemName = "joint", itemLabel = "Joint", itemCount = 1, itemType = "item", image = "./images/joint.png" },
        { itemName = "advancedlockpick", itemLabel = "Lockpick", itemCount = 1, itemType = "item", image = "./images/advancedlockpick.png" },
    }
}

AK4Y.DiamondKit = {
    ["type"] = "diamond", -- don't change! 
    ["kitName"] = "DIAMOND",
    ["description"] = "Lorem ipsum dolor sit amet consectetur adipisicing elit. Quae deserunt adipisci eaque ab veritatis odio iusto quo nesciunt tempore, non eveniet, suscipit consectetur nobis voluptatibus.",
    ["membership"] = "DIAMOND", 
    ["collectPeriod"] = 5, -- HOURS
    ["tebexLink"] = "https://www.google.com/diamondLink", -- tebex direct link
    ["items"] = {
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
        { itemName = "weapon_appistol", itemLabel = "EXAMPLE ITEM", itemCount = 1, itemType = "item", image = "./images/weapon_appistol.png" },
    }
}

AK4Y.Language = {
    ["title1"] = "PREMIUM",
    ["title2"] = "KIT SYSTEM",
    ["premiumTitle"] = "DO YOU WANT TO HAVE",
    ["premiumTitle2"] = "PREMIUM KITS?",
    ["premiumDescription"] = "Lorem ipsum dolor sit amet consectetur adipisicing elit. Voluptatem commodi ducimus delectus! Mollitia ad aliquam ut minima labore.",
    ["acceptButton"] = "Accept",
    ["kit"] = "KIT",
    ["reviewButton"] = "Review Kit",
    ["everyText"] = "Every",
    ["hours"] = "hours",
    ["upgrade"] = "UPGRADE",
    ["collect"] = "Collect",
    ["back"] = "Back",
    ["exit"] = "exit",
    ["collected"] = "SUCCESSFULLY COLLECTED!",
    ["upgraded"] = "YOUR ACCOUNT HAS BEEN SUCCESSFULLY UPGRADED TO",
    ["passive"] = "Passive",
}
```
````

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ak4y.com/scripts/ak4y-kit/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
